DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# FeatureDescriptionFunction

Measurement feature #description function

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error (*dip_FeatureDescriptionFunction) ( measurement, featureID, physDims, decription, resources )

## FUNCTION

The `description` function should return a `dip_FeatureDescription` structure containing information on the measurement function, such as its name, a short description, labels for each value measured, and units of its measurement. This function is called by `MeasurementFeatureDescription`.

The `description` structure should be allocated by this function using `FeatureDescriptionNew`, and registered in `resources`. The functions `FeatureDescriptionSetName`, `FeatureDescriptionSetDescription`, `FeatureDescriptionSetDimensionLabels` and `FeatureDescriptionSetUnits` should be used to populate the structure.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_int` | `featureID` | Measurement function ID
`dip_PhysicalDimensions` | `physDims` | Physical dimensions data structure
`dip_FeatureDescription *` | `description` | Pointer to a structure containing descriptive information of the measurement feature function
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`MeasurementFeatureRegister`, `MeasurementFeatureDescription`, `FeatureDescriptionSetName`, `FeatureDescriptionSetDescription`, `FeatureDescriptionSetDimensionLabels`, `FeatureDescriptionSetUnits`